// Author 		: F. de la Parra
// Date			: February, 2019
// Description 	: Class 'ClassList' keeps track of students enrolled
//                in a college course. 
// Version		: 1.0

package classProject;

public class ClassList {
	private Student John = new Student("John", "Smith", 1);
	private Student Mary = new Student("Mary", "Lynn", 2);
	private Student Sarah = new Student("Sarah", "Boles", 1);
	
	public boolean printJohn(Student currentStudent) {
		if (currentStudent.getFirstName().equals("John")) {
			System.out.println(currentStudent.description());
			return true;
		}
		else {
			System.out.println("This isn't John. It's " + currentStudent.description());
			return false;
		}
	}
	
	public static void main(String[] args) {
		ClassList clObj = new ClassList();
		
		clObj.printJohn(clObj.John);
		clObj.printJohn(clObj.Mary);
		clObj.printJohn(clObj.Sarah);
	}
}